=== debian/control ===
Source: xmltooling
Section: libs
Priority: extra
Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
Uploaders: Russ Allbery <rra@debian.org>, Ferenc Wagner <wferi@niif.hu>
Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1~), doxygen,
 graphviz, libcurl4-openssl-dev, liblog4cpp5-dev, libssl-dev (>= 1.0),
 libxerces-c-dev, libxml-security-c-dev (>= 1.6), pkg-config
Standards-Version: 3.9.2
Homepage: https://spaces.internet2.edu/display/OpenSAML/XMLTooling-C
Vcs-Git: git://git.debian.org/git/pkg-shibboleth/xmltooling.git
Vcs-Browser: http://git.debian.org/?p=pkg-shibboleth/xmltooling.git

Package: libxmltooling5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ XML parsing library with encryption support (runtime)
 The XMLTooling library contains generic XML parsing and processing
 classes based on the Xerces-C DOM.  It adds more powerful facilities for
 declaring element- and type-specific API and implementation classes, as
 well as signing and encryption support.
 .
 This package contains the files necessary for running applications that
 use the XMLTooling library.

Package: libxmltooling-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libxmltooling5 (= ${binary:Version}),
 libcurl4-openssl-dev, liblog4cpp5-dev, libxerces-c-dev,
 libxml-security-c-dev (>= 1.6)
Suggests: libxmltooling-doc (= ${source:Version})
Description: C++ XML parsing library with encryption support (development)
 The XMLTooling library contains generic XML parsing and processing
 classes based on the Xerces-C DOM. It adds more powerful facilities
 for declaring element- and type-specific API and implementation
 classes to add value around the DOM, as well as signing and encryption
 support.
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use or extend the XMLTooling library.

Package: xmltooling-schemas
Section: text
Architecture: all
Depends: ${misc:Depends}
Description: XML schemas for XMLTooling
 The XMLTooling library contains generic XML parsing and processing
 classes based on the Xerces-C DOM.  It adds more powerful facilities for
 declaring element- and type-specific API and implementation classes, as
 well as signing and encryption support.
 .
 This package contains the XML schema files used by the XMLTooling
 library.

Package: libxmltooling-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: C++ XML parsing library with encryption support (API docs)
 The XMLTooling library contains generic XML parsing and processing
 classes based on the Xerces-C DOM. It adds more powerful facilities
 for declaring element- and type-specific API and implementation
 classes to add value around the DOM, as well as signing and encryption
 support.
 .
 This package contains the XMLTooling library API documentation generated
 by Doxygen.
