=== debian/watch ===
version=3
http://shibboleth.internet2.edu/downloads/opensaml/cpp/latest/xmltooling-(.*)\.tar\.gz
