## xmltooling 1.4.2

=== debian/changelog ===
xmltooling (1.4.2-4) unstable; urgency=low

  * Update symbols files for all non-i386 architectures currently built by
    the buildds except mipsel (which will hopefully be the same as mips),
    armel (modeled after armhf), nad kfreebsd-i386 (hopefully the same as
    i386).
  * Build-Depend on pkg-kde-tools and use its symbolhelper plugin so that
    the package can use the output of pkgkde-symbolshelper.
  
 -- Russ Allbery <rra@debian.org>  Fri, 27 Jan 2012 21:59:27 -0800

xmltooling (1.4.2-3) unstable; urgency=low

  * Also enable bindnow hardening build flags and use the correct syntax
    to add additional hardening flags.
  * Add symbols file constructed with pkgkde-symbolshelper.  Add a
    README.source file with a pointer to the documentation.

 -- Russ Allbery <rra@debian.org>  Fri, 27 Jan 2012 14:06:42 -0800

xmltooling (1.4.2-2) unstable; urgency=low

  * Update to debhelper compatibility level V9.
    - Enable hardening build flags.  (Closes: #656656)
    - Enable multiarch support.
  * Use the latest directory in debian/watch instead of the versioned
    directories.
  * Update the upstream homepage. 
  * Update the upstream download location in debian/copyright.
  * Minor format updates to debian/copyright for the new DEP-5.

 -- Russ Allbery <rra@debian.org>  Thu, 26 Jan 2012 12:58:17 -0800

xmltooling (1.4.2-1) unstable; urgency=low

  * New upstream release.
    - Fix use attribute in shorthand file CredentialResolver
    - Fix handling of SOAP 1.1 fault package
    - Make library init routines idempotent
  * Make removal of the Doxygen-installed jquery.js file conditional on
    its existence, since some versions of Doxygen don't install it.
  * Update debian/watch for the new upstream distribution location.

 -- Russ Allbery <rra@debian.org>  Mon, 25 Jul 2011 15:44:12 -0700
