=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: extra
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders: Russ Allbery <rra@debian.org>, Ferenc Wagner <wferi@niif.hu>
-Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1~), doxygen,
+Build-Depends: debhelper (>= 9), autotools-dev (>= 20100122.1~), doxygen,
  graphviz, libcurl4-openssl-dev, liblog4cpp5-dev, libssl-dev (>= 1.0),
- libxerces-c-dev, libxml-security-c-dev (>= 1.6), pkg-config
+ libxerces-c-dev, libxml-security-c-dev (>= 1.6), pkg-config,
+ pkg-kde-tools
 Standards-Version: 3.9.2
-Homepage: https://spaces.internet2.edu/display/OpenSAML/XMLTooling-C
+Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
 Vcs-Git: git://git.debian.org/git/pkg-shibboleth/xmltooling.git
 Vcs-Browser: http://git.debian.org/?p=pkg-shibboleth/xmltooling.git
 
 Package: libxmltooling5
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ XML parsing library with encryption support (runtime)
  The XMLTooling library contains generic XML parsing and processing
