## xmltooling 1.5.3

=== debian/changelog ===
xmltooling (1.5.3-2+deb8u3ubuntu0.1) trusty-security; urgency=high

  * SECURITY UPDATE: uncaught exception on malformed XML declaration
    Invalid data in the XML declaration causes an exception of a type that
    was not handled properly in the parser class and propagates an
    unexpected exception type.
    This generally manifests as a crash in the calling code, which in the
    Service Provider software's case is usually the shibd daemon process,
    but can be Apache in some cases. Note that the crash occurs prior to
    evaluation of a message's authenticity, so can be exploited by an
    untrusted attacker.
    - debian/patches/CVE-2019-9628.patch
    - CVE-2019-9628
    - https://shibboleth.net/community/advisories/secadv_20190311.txt
    - LP: #1819912

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Thu, 14 Mar 2019 11:56:34 +0100

xmltooling (1.5.3-2+deb8u3build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian (LP: #1752306)

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 20 Mar 2018 15:21:30 -0700

xmltooling (1.5.3-2+deb8u3) jessie-security; urgency=high

  * [2890d0c] New patches fixing CVE-2018-0489: additional data forgery flaws.
    These flaws allow for changes to an XML document that do not break a
    digital signature but alter the user data passed through to applications
    enabling impersonation attacks and exposure of protected information.
    https://shibboleth.net/community/advisories/secadv_20180227.txt
    https://issues.shibboleth.net/jira/browse/CPPXT-128
    The Add-disallowDoctype-to-parser-configuration.patch is not effective
    under Xerces 3.1 in jessie, but provides more generic protection under
    Xerces 3.2 against issues like CVE-2018-0486.  It's included here for
    completeness and to avoid a conflict applying the CVE-2018-0489 patch.

 -- Ferenc Wágner <wferi@debian.org>  Thu, 22 Feb 2018 09:50:20 +0100

xmltooling (1.5.3-2+deb8u2) jessie-security; urgency=high

  * [5c2845b] Add gbp.conf for jessie
  * [0ffc343] Convert our single patch into a proper patch queue
  * [91e7acb] New patch: CVE-2018-0486: vulnerability to forged user attribute
    data
    The Service Provider software relies on a generic XML parser to process
    SAML responses and there are limitations in older versions of the parser
    that make it impossible to fully disable Document Type Definition (DTD)
    processing.
    Through addition/manipulation of a DTD, it's possible to make changes
    to an XML document that do not break a digital signature but are
    mishandled by the SP and its libraries. These manipulations can alter
    the user data passed through to applications behind the SP and result
    in impersonation attacks and exposure of protected information.
    While the use of XML Encryption can serve as a mitigation for this bug,
    it may still be possible to construct attacks in such cases, and the SP
    does not provide a means to enforce its use.
    CPPXT-127 - Block entity reference nodes during unmarshalling.
    https://issues.shibboleth.net/jira/browse/CPPXT-127
    Thanks to Scott Cantor
  * [49b7352] Update Uploaders: add Etienne, remove Russ, update myself

 -- Ferenc Wágner <wferi@debian.org>  Fri, 12 Jan 2018 12:00:08 +0100

xmltooling (1.5.3-2+deb8u1) jessie-security; urgency=high

  * Apply security fix from 1.5.5 for CVE-2015-0851 DoS (Closes: #793855):
    Shibboleth SP software crashes on well-formed but invalid XML

 -- Ferenc Wagner <wferi@niif.hu>  Sun, 19 Jul 2015 19:06:38 +0200

xmltooling (1.5.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Russ Allbery <rra@debian.org>  Thu, 11 Jul 2013 18:56:32 -0700

xmltooling (1.5.3-1) experimental; urgency=low

  * New upstream release.
    - Update xmlsig 1.1 schema to final CR
    - Check for missing private key in configuration check
  * Move single-debian-patch to local-options and patch-header to
    local-patch-header so that they only apply to the packages built from
    the canonical Git repository and NMUs get regular version-numbered
    patches.
  * Switch to xz compression for *.debian.tar and the *.deb packages.
  * Fix some minor debian/copyright inaccuracies and a missing GPL-3
    pointer introduced in the previous release.

 -- Russ Allbery <rra@debian.org>  Tue, 18 Jun 2013 14:18:20 -0700

xmltooling (1.5.2-1) experimental; urgency=low

  * New upstream release.
    - Fix parsing of some Last-Modified headers.
    - Fix memory leak in XMLObjectBuilder::buildFromElement().
    - Improve remote CRL access and caching support.
    - Support configuration of name and policy restrictions for the
      signature metadata filter (signing certificate).
    - Improve debug output.
    - Support path resolution in ParserPool / catalog files.
    - Avoid returning an empty Credential object.
  * Add build dependency on libboost-dev.
  * Use log4shib instead of log4cpp.
  * Force build dependency on xml-security-c 1.7 or later for consistent
    build results.
  * Add Multi-Arch: same to libxmltooling-dev and Multi-Arch: foreign to
    xmltooling-schemas and libxmltooling-doc.
  * Canonicalize the URLs in the Vcs-Git and Vcs-Browser control fields.
  * Update debian/copyright format to the released copyright-format 1.0.
  * Update standards version to 3.9.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Tue, 28 May 2013 13:49:14 -0700

xmltooling (1.4.2-5) unstable; urgency=low

  * Revert changes to add symbols file.  Due to churn in weak symbols for
    inlined functions, it doesn't appear maintainanable with existing
    tools, and for this library the shlibs behavior seems sufficient.
  * Update Autotools build files via dh_autoreconf.
  * Force linking with -lpthread, working around a bug in libtool that
    drops the linkage because it uses -nostdlib.  See #468555.

 -- Russ Allbery <rra@debian.org>  Tue, 31 Jan 2012 16:35:46 -0800
