=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: xmltooling
 Section: libs
 Priority: extra
-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
-Uploaders: Russ Allbery <rra@debian.org>, Ferenc Wagner <wferi@niif.hu>
-Build-Depends: debhelper (>= 9), autotools-dev (>= 20100122.1~), doxygen,
- graphviz, libcurl4-openssl-dev, liblog4cpp5-dev, libssl-dev (>= 1.0),
- libxerces-c-dev, libxml-security-c-dev (>= 1.6), pkg-config,
- pkg-kde-tools
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
+Uploaders:
+ Ferenc Wágner <wferi@debian.org>,
+ Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
+Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen, graphviz,
+ libcurl4-openssl-dev, libboost-dev, liblog4shib-dev, libssl-dev (>= 1.0),
+ libxerces-c-dev, libxml-security-c-dev (>= 1.7), pkg-config
+Standards-Version: 3.9.4
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
-Vcs-Git: git://git.debian.org/git/pkg-shibboleth/xmltooling.git
-Vcs-Browser: http://git.debian.org/?p=pkg-shibboleth/xmltooling.git
+Vcs-Git: git://anoncsm.debian.org/pkg-shibboleth/xmltooling.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/xmltooling.git
 
-Package: libxmltooling5
+Package: libxmltooling6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -29,7 +31,8 @@
 Package: libxmltooling-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libxmltooling5 (= ${binary:Version}),
+Multi-Arch: same
+Depends: ${misc:Depends}, libxmltooling6 (= ${binary:Version}),
  libcurl4-openssl-dev, liblog4cpp5-dev, libxerces-c-dev,
  libxml-security-c-dev (>= 1.6)
 Suggests: libxmltooling-doc (= ${source:Version})
@@ -46,6 +49,7 @@
 Package: xmltooling-schemas
 Section: text
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: XML schemas for XMLTooling
  The XMLTooling library contains generic XML parsing and processing
@@ -59,6 +63,7 @@
 Package: libxmltooling-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, libjs-jquery
 Description: C++ XML parsing library with encryption support (API docs)
  The XMLTooling library contains generic XML parsing and processing
