=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # Enable compiler hardening flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+# Force linking with -lpthread, working around a bug in libtool that drops
+# the linkage because it uses -nostdlib.  See #468555.
+export DEB_LDFLAGS_MAINT_APPEND = -lpthread
 
 DOCS = debian/libxmltooling-doc/usr/share/doc/libxmltooling-doc
 
@@ -10,6 +14,9 @@
 else
     DEBUG =
 endif
+
+%:
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-dependency-tracking $(DEBUG)
@@ -24,5 +31,5 @@
 	    fi ; \
 	fi
 
-%:
-	dh $@ --with autotools_dev,pkgkde_symbolshelper
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
