## xmltooling 1.5.6

=== debian/changelog ===
xmltooling (1.5.6-2ubuntu0.3) xenial-security; urgency=high

  * SECURITY UPDATE: uncaught exception on malformed XML declaration
    Invalid data in the XML declaration causes an exception of a type that
    was not handled properly in the parser class and propagates an
    unexpected exception type.
    This generally manifests as a crash in the calling code, which in the
    Service Provider software's case is usually the shibd daemon process,
    but can be Apache in some cases. Note that the crash occurs prior to
    evaluation of a message's authenticity, so can be exploited by an
    untrusted attacker.
    - debian/patches/CVE-2019-9628.patch
    - CVE-2019-9628
    - https://shibboleth.net/community/advisories/secadv_20190311.txt
    - LP: #1819912

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Thu, 14 Mar 2019 11:56:34 +0100

xmltooling (1.5.6-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Upstream patch to fix CVE-2018-0489 (LP: #1752306)
    - d/p/Add-disallowDoctype-to-parser-configuration.patch:
      Generic protection against data forgery.  Irrelevant under
      Xerces 3.1, but is a pre-req for the CVE-2018-0489 patch.
    - d/p/CVE-2018-0489-Fix-additional-data-forgery-flaws.patch:
      New patches fixing CVE-2018-0489: additional data forgery flaws.
      These flaws allow for changes to an XML document that do not break a
      digital signature but alter the user data passed through to applications
      enabling impersonation attacks and exposure of protected information.

 -- Ray Link <rlink+launchpad@cs.cmu.edu>  Thu, 29 Mar 2018 15:17:35 -0400

xmltooling (1.5.6-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Upstream patch to fix CVE-2018-0486 (LP: #1743762)
    - d/p/CVE-2018-0486-Block-entity-reference-nodes-during-unmarshalling.patch:
      Block entity reference nodes during unmarshalling.

 -- Ray Link <rlink+launchpad@cs.cmu.edu>  Wed, 17 Jan 2018 17:48:31 -0500

xmltooling (1.5.6-2) unstable; urgency=medium

  * [287f903] Wildcard version number in debian/rules
  * [59d03c7] Set libxmltooling-dev dependency to liblog4shib-dev

 -- Ferenc Wágner <wferi@niif.hu>  Sun, 17 Jan 2016 08:46:24 +0100

xmltooling (1.5.6-1) unstable; urgency=medium

  [ Russ Allbery ]
  * [bbe4293] Really switch to xz compression for the *.debian.tar file
  * [66fde9b] Fix typo in the Vcs-Git control field
  * [303c566] Disable forcing of libtool --silent

  [ Ferenc Wágner ]
  * [8f40689] Add debian/gbp.conf for DEP-14 layout
  * [449ccfe] Convert our single upstream patch into a gbp patch queue
  * [7742fbb] We will generate debian/changelog by gbp dch before uploading
  * [9fce794] Run wrap-and-sort -ast on the package
  * [f62c11f] Correct my name in Uploaders
  * [abe605b] Switch watch file to check for bzip-compressed archives
  * [612e7c0] Check signature in watch file
  * [d938f6a] New upstream release
    SECURITY fix in 1.5.5 for CVE-2015-0851 DoS: Shibboleth SP software
    crashes on well-formed but invalid XML (Closes: #793855)
  * [fd6d573] Rename libxmltooling6 package to libxmltooling6v5
    (Closes: #797625)
  * [af5f295] dh_auto_configure uses --disable-dependency-tracking by default
  * [e961f2c] The default compressor is xz since jessie
  * [73017d0] New patch Avoid-forward-incompatibility-warnings-from-
    Automake.patch
  * [8d5f789] Enable all hardening features
  * [7b101ba] Update Standards-Version to 3.9.6 (no changes needed)
  * [2f9f14d] Ship the pkgconfig file
  * [67a361a] The debian/tmp prefix is unnecessary since debhelper 7
  * [107882c] Ship upstream README.txt in all binary packages
  * [bb9ee79] Replacing the jquery.js embedded by Doxygen risks breaking the
    docs
  * [bc5c6d2] Ship the installed documentation, not the one from the build tree
  * [44460c2] Remove installed files we won't use (preparing to --fail-missing)
  * [8afabff] Fail package build if any installed file is left out in the future
  * [55d05ba] No need to separate the doc-base files by extension
  * [1cd59cc] Update debian/copyright
  * [f8df74c] Use a fresher m4/ax_create_pkgconfig_info.m4
  * Since GCC-5 is the default compiler now, this new upload provides a version
    that current libstdc++ does not break (Closes: #793288).

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 10 Dec 2015 23:17:01 +0100

xmltooling (1.5.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Call cpp with -P for the boost config. Closes: #778185.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jul 2015 19:18:55 +0200
