=== debian/control ===
--- 
+++ 
@@ -4,21 +4,39 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
- Ferenc Wágner <wferi@debian.org>,
- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
-Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen, graphviz,
- libcurl4-openssl-dev, libboost-dev, liblog4shib-dev, libssl-dev (>= 1.0),
- libxerces-c-dev, libxml-security-c-dev (>= 1.7), pkg-config
-Standards-Version: 3.9.4
+ Russ Allbery <rra@debian.org>,
+ Ferenc Wágner <wferi@niif.hu>,
+Build-Depends:
+# the shipped ax_create_pkgconfig_info.m4 leaks the build flags
+ autoconf-archive (>= 20111221-2),
+ debhelper (>= 9),
+ dh-autoreconf,
+ doxygen,
+ graphviz,
+ libboost-dev,
+ libcurl4-openssl-dev,
+ liblog4shib-dev,
+ libssl-dev (>= 1.0),
+ libxerces-c-dev,
+ libxml-security-c-dev (>= 1.7),
+ pkg-config,
+Standards-Version: 3.9.6
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
-Vcs-Git: git://anoncsm.debian.org/pkg-shibboleth/xmltooling.git
+Vcs-Git: git://anonscm.debian.org/pkg-shibboleth/xmltooling.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/xmltooling.git
 
-Package: libxmltooling6
+Package: libxmltooling6v5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ libxmltooling6,
+Replaces:
+ libxmltooling6,
 Description: C++ XML parsing library with encryption support (runtime)
  The XMLTooling library contains generic XML parsing and processing
  classes based on the Xerces-C DOM.  It adds more powerful facilities for
@@ -32,10 +50,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libxmltooling6 (= ${binary:Version}),
- libcurl4-openssl-dev, liblog4cpp5-dev, libxerces-c-dev,
- libxml-security-c-dev (>= 1.6)
-Suggests: libxmltooling-doc (= ${source:Version})
+Depends:
+ libcurl4-openssl-dev,
+ liblog4shib-dev,
+ libxerces-c-dev,
+ libxml-security-c-dev (>= 1.6),
+ libxmltooling6v5 (= ${binary:Version}),
+ ${misc:Depends},
+Suggests:
+ libxmltooling-doc (= ${source:Version}),
 Description: C++ XML parsing library with encryption support (development)
  The XMLTooling library contains generic XML parsing and processing
  classes based on the Xerces-C DOM. It adds more powerful facilities
@@ -50,7 +73,8 @@
 Section: text
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: XML schemas for XMLTooling
  The XMLTooling library contains generic XML parsing and processing
  classes based on the Xerces-C DOM.  It adds more powerful facilities for
@@ -64,7 +88,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libjs-jquery
+Depends:
+ ${misc:Depends},
 Description: C++ XML parsing library with encryption support (API docs)
  The XMLTooling library contains generic XML parsing and processing
  classes based on the Xerces-C DOM. It adds more powerful facilities
