## xmltooling 1.6.0

=== debian/changelog ===
xmltooling (1.6.0-5build1) bionic; urgency=medium

  * No change rebuild for libxerces-c3.2

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 20 Nov 2017 15:52:59 +0000

xmltooling (1.6.0-5) unstable; urgency=medium

  * [7362bda] Provide a GCC 7 build with strict enough shlibs.
    OpenSAML fails to build with GCC 7 with XMLTooling built with GCC 6,
    because its samlsign executable does not find a symbol whose mangling
    changed.  So build with GCC 7 from now on, and include a corresponding
    shlibs dependency to force OpenSAML pull in this build.
    This change must be left out of backports. (Closes: #874654)
  * [d74a461] Follow upstream URL change in watch file
  * [da7692d] Switch to using HTTPS in the debian/copyright URLs
  * [e42dab7] Update Standards-Version to 4.1.0.
    The "extra" priority became deprecated, promote to "optional".

 -- Ferenc Wágner <wferi@debian.org>  Fri, 08 Sep 2017 21:12:25 +0200

xmltooling (1.6.0-4) unstable; urgency=medium

  [ Etienne Dysli Metref ]
  * [b41ff9e] Add myself to uploaders
  * [77c4330] Slightly relax the build dependency on libxml-security-c-dev.
    Append a tilde to the required version (>= 1.7.3-3~) so that the
    backported version (1.7.3-3~bpo8+1) can satisfy the dependency
    (otherwise 1.7.3-3~bpo8+1 < 1.7.3-3).

  [ Ferenc Wágner ]
  * [5e96176] Stay with OpenSSL 1.0.
    Thanks to Adrian Bunk <bunk@stusta.de> (Closes: #828608)
  * [3395fb9] Provoke build error on undefined symbols in the library
  * [1bba33e] New patch Get-new-pthread-checks-from-the-Autoconf-Archive.patch
  * [a1ae4d6] Force linking the libraries with -lpthread again.
    It's a more targeted version of c9b709b, which I removed via 28c0572 not
    noticing the resulting dpkg-shlibdeps warnings.  Besides #468555, see also
    https://lists.gnu.org/archive/html/libtool/2012-02/msg00003.html.

 -- Ferenc Wágner <wferi@debian.org>  Fri, 16 Dec 2016 12:17:55 +0100

xmltooling (1.6.0-3) unstable; urgency=medium

  * [6b1e6e2] Export pkgxmldir (the correct name) via pkg-config.
    And call it pkgxmldir instead of xmldir in the configure script.
    (Closes: #836898)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 07 Sep 2016 11:40:05 +0200

xmltooling (1.6.0-2) unstable; urgency=medium

  * [f61b564] New patch Enable-skipping-tests-which-require-network-
    access.patch.
    Enable skipping tests which require network access
    And skip them in debian/rules, because we aren't allowed to access the
    network on the buildds.
  * [1471fba] Our headers include others from libssl-dev
  * [733e90a] The Doxygen tag file is unreproducible, don't ship it
  * [79b38bf] New patch Enable-the-dot-feature-of-Doxygen.patch.
    Enable the dot feature of Doxygen
  * [cd7630d] Don't ship the .md5 and .map files from Doxygen.
    These are generated since we use dot with Doxygen.
  * [38db81d] Switch gbp dch to verbose changelog entries
  * [28c0572] Pthread seems to work correctly with libtool now
  * [792ecdb] Migrate to my Debian address
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Fri, 02 Sep 2016 15:55:36 +0200

xmltooling (1.6.0-1) experimental; urgency=medium

  * [87fa233] New patch Use-pkg-config-for-log4shib-log4cpp.patch
  * [9522f00] Enable parallel builds
  * [8400c02] Update Standards-Version to 3.9.8 (no changes needed)
  * [b38f8d2] New upstream release (1.6.0)
  * [f55fef0] Remove unnecessary patch, refresh the rest
  * [2f5b598] Simplify removal of documentation files
  * [d2096a7] Switch to secure VCS URIs
  * [da6dc4e] Update debian/copyright
  * [810bcdd] Rename library package for upstream SONAME bump
  * [85137c5] Drop version constraints already satisfied by oldstable (wheezy)
  * [9d5ba1b] Move doxygen and graphviz into Build-Depends-Indep
  * [6fc8228] Don't build the software if only the documentation is needed
  * [90f5d3c] New patch Fail-configuration-if-dlopen-is-not-found.patch
  * [e5bb467] New patch Discover-xerces-xmlsec-openssl-and-curl-via-pkg-
    conf.patch
  * [56886b6] New patch Propagate-requirements-into-our-pkg-config-file.patch
  * [c9eddbd] New patch Make-pkgconfigdir-configurable.patch
  * [d0e3d2f] New patch Print-result-of-CURLINFO_TLS_SSL_PTR-test.patch
  * [c0c0aab] New patch Make-pkgxmldir-configurable.patch
  * [a301a9e] New patch Finish-separating-flags-use-_LIBADD.patch
  * [f19bbf5] New patch Add-more-forgotten-test-result-prints.patch
  * [6e5f01b] New patch Remove-.pl-extension-of-cxxtestgen.patch
  * [fa4b54c] Generate the test harness
  * [09bad45] New patch Don-t-install-the-test-program-but-link-correctly-
    an.patch
  * [a1db54e] Add 4 patches refactoring xmltoolingtest
  * [83014f8] New patch Two-more-tests-don-t-build-without-xmlsec.patch
  * [d6d7b60] New patch Only-add-found-packages-to-the-pkg-config-
    dependenci.patch
  * [8c9dee4] New patch Add-separate-pkg-config-file-for-xmltooling-lite.patch
  * [8f14163] Require xml-security with a correct pkg-config file

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 21 Jul 2016 19:45:05 +0200
