=== debian/control ===
--- 
+++ 
@@ -1,31 +1,35 @@
 Source: xmltooling
 Section: libs
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
- Ferenc Wágner <wferi@niif.hu>,
+ Ferenc Wágner <wferi@debian.org>,
+ Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
 Build-Depends:
-# the shipped ax_create_pkgconfig_info.m4 leaks the build flags
- autoconf-archive (>= 20111221-2),
+ cxxtest,
  debhelper (>= 9),
  dh-autoreconf,
- doxygen,
- graphviz,
+# The samlsign executable needs the new GCC 7 mangling (see #853598 and
+# https://wiki.debian.org/GCC7).  Omit this and the shlibs for backports:
+ g++ (>=4:7),
  libboost-dev,
  libcurl4-openssl-dev,
  liblog4shib-dev,
- libssl-dev (>= 1.0),
+ libssl1.0-dev | libssl-dev (<< 1.1.0~),
  libxerces-c-dev,
- libxml-security-c-dev (>= 1.7),
+# our Debian changes need the pkg-config file from:
+ libxml-security-c-dev (>= 1.7.3-3~),
  pkg-config,
-Standards-Version: 3.9.6
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+Standards-Version: 4.1.0
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
-Vcs-Git: git://anonscm.debian.org/pkg-shibboleth/xmltooling.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/xmltooling.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/xmltooling.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/xmltooling.git
 
-Package: libxmltooling6v5
+Package: libxmltooling7
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -33,10 +37,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts:
- libxmltooling6,
-Replaces:
- libxmltooling6,
 Description: C++ XML parsing library with encryption support (runtime)
  The XMLTooling library contains generic XML parsing and processing
  classes based on the Xerces-C DOM.  It adds more powerful facilities for
@@ -53,9 +53,10 @@
 Depends:
  libcurl4-openssl-dev,
  liblog4shib-dev,
+ libssl1.0-dev | libssl-dev (<< 1.1.0~),
  libxerces-c-dev,
- libxml-security-c-dev (>= 1.6),
- libxmltooling6v5 (= ${binary:Version}),
+ libxml-security-c-dev,
+ libxmltooling7 (= ${binary:Version}),
  ${misc:Depends},
 Suggests:
  libxmltooling-doc (= ${source:Version}),
