## xmltooling 1.6.2

=== debian/changelog ===
xmltooling (1.6.2-1) unstable; urgency=medium

  * [9a9308f] Use HTTPS in debian/watch
  * [91be34e] New upstream release (1.6.1)
  * [360556e] Refresh our patches
  * [e9fc2e5] New upstream release (1.6.2)
  * [5166246] Refresh our patches
  * [04ee5fc] Update Standards-Version to 4.1.1 (no changes needed)

 -- Ferenc Wágner <wferi@debian.org>  Mon, 20 Nov 2017 08:48:10 +0100
