=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
 Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/xmltooling.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/xmltooling.git
