## xmltooling 1.6.3

=== debian/changelog ===
xmltooling (1.6.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Mon, 29 Jan 2018 09:05:36 +0100

xmltooling (1.6.3-1) unstable; urgency=medium

  [ Russ Allbery ]
  * [d7ea37c] Remove myself from Uploaders

  [ Ferenc Wágner ]
  * [69aa1e6] New upstream release
  * [c0bccbb] Refresh our patches
  * [5aff9d0] Update gbp configuration
    - Move pristine-tar = True into the DEFAULT section
    - Add merge-mode = replace into the import-orig section
  * [ca00359] Update Standards-Version to 4.1.3 (no changes required)
  * [9cee97e] Migrate to salsa.debian.org/shib-team
  * [3eaf72e] Lintian does not emit embedded-javascript-library for Doxygen
    anymore

 -- Ferenc Wágner <wferi@debian.org>  Mon, 22 Jan 2018 10:54:47 +0100

xmltooling (1.6.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * [ab3be4f] Revert "Provide a GCC 7 build with strict enough shlibs"
    Revert to GCC 6 in order to build on stretch.
    This reverts commit 7362bdad118b3b631808c193471f36a8da4e96c8.

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Fri, 24 Nov 2017 10:05:47 +0100
