=== debian/control ===
--- 
+++ 
@@ -3,16 +3,12 @@
 Priority: optional
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
- Russ Allbery <rra@debian.org>,
  Ferenc Wágner <wferi@debian.org>,
  Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
 Build-Depends:
  cxxtest,
  debhelper (>= 9),
  dh-autoreconf,
-# The samlsign executable needs the new GCC 7 mangling (see #853598 and
-# https://wiki.debian.org/GCC7).  Omit this and the shlibs for backports:
- g++ (>=4:7),
  libboost-dev,
  libcurl4-openssl-dev,
  liblog4shib-dev,
@@ -24,10 +20,10 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
-Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/xmltooling.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/xmltooling.git
+Vcs-Git: https://salsa.debian.org/shib-team/xmltooling.git
+Vcs-Browser: https://salsa.debian.org/shib-team/xmltooling
 
 Package: libxmltooling7
 Architecture: any
