## xmltooling 1.6.4

=== debian/changelog ===
xmltooling (1.6.4-1ubuntu2.1) bionic-security; urgency=high

  * SECURITY UPDATE: uncaught exception on malformed XML declaration
    Invalid data in the XML declaration causes an exception of a type that
    was not handled properly in the parser class and propagates an
    unexpected exception type.
    This generally manifests as a crash in the calling code, which in the
    Service Provider software's case is usually the shibd daemon process,
    but can be Apache in some cases. Note that the crash occurs prior to
    evaluation of a message's authenticity, so can be exploited by an
    untrusted attacker.
    - debian/patches/CVE-2019-9628.patch
    - CVE-2019-9628
    - https://shibboleth.net/community/advisories/secadv_20190311.txt
    - LP: #1819912

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Thu, 14 Mar 2019 11:56:34 +0100

xmltooling (1.6.4-1ubuntu2) bionic; urgency=medium

  * Switch back to openssl1.0 via newly-added libcurl-openssl1.0-dev, since
    libxml-security is not ported to openssl1.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Mar 2018 10:04:50 +0100

xmltooling (1.6.4-1ubuntu1) bionic; urgency=medium

  * Switch build-depends for OpenSSL 1.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 14:19:08 -0800

xmltooling (1.6.4-1) unstable; urgency=high

  * [6c27b19] New upstream security release 1.6.4
    DSA-4126-1, CVE-2018-0489: additional data forgery flaws
    These flaws allow for changes to an XML document that do not break a
    digital signature but alter the user data passed through to applications
    enabling impersonation attacks and exposure of protected information.
    https://shibboleth.net/community/advisories/secadv_20180227.txt
    https://issues.shibboleth.net/jira/browse/CPPXT-128
  * [621ab19] Refresh our patches

 -- Ferenc Wágner <wferi@debian.org>  Wed, 28 Feb 2018 10:39:05 +0100
