=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xmltooling
 Section: libs
 Priority: optional
-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
@@ -9,10 +10,13 @@
  cxxtest,
  debhelper (>= 9),
  dh-autoreconf,
+# The samlsign executable needs the new GCC 7 mangling (see #853598 and
+# https://wiki.debian.org/GCC7).  Omit this and the shlibs for backports:
+ g++ (>=4:7),
  libboost-dev,
- libcurl4-openssl-dev,
+ libcurl-openssl1.0-dev,
  liblog4shib-dev,
- libssl1.0-dev | libssl-dev (<< 1.1.0~),
+ libssl1.0-dev,
  libxerces-c-dev,
 # our Debian changes need the pkg-config file from:
  libxml-security-c-dev (>= 1.7.3-3~),
@@ -47,9 +51,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libcurl4-openssl-dev,
+ libcurl-openssl1.0-dev,
  liblog4shib-dev,
- libssl1.0-dev | libssl-dev (<< 1.1.0~),
+ libssl1.0-dev,
  libxerces-c-dev,
  libxml-security-c-dev,
  libxmltooling7 (= ${binary:Version}),
